import Editor from '@modules/editor/index';
import { Scene } from 'three';
import { IObjectLoader } from '@modules/editor/service/loader';
import { IFileUploadService } from '@modules/editor/service/upload';
type Services = {
    ObjectLoader: IObjectLoader;
    FileUploadService: IFileUploadService;
};
declare class EditorUpload {
    #private;
    readonly scene: Scene;
    constructor(editor: Editor, services: Services);
    init(): void;
    loadPLY(path: string): Promise<import("three").Mesh<import("three").BufferGeometry<import("three").NormalBufferAttributes>, import("three").Material | import("three").Material[]>>;
    loadMTL(mtlPath: string, objPath: string): Promise<import("three").Object3D<import("three").Event>>;
}
export default EditorUpload;
